com.dlsc.flexgantt.swing.layer.system

## Interface IDragInfoRenderer

- All Superinterfaces:
    IRenderer
  All Known Implementing Classes:
    DefaultDragInfoRenderer

      public interface IDragInfoRenderer
      extends IRenderer

  A drag info renderer is used to visualize information provided by an instance of `IDragInfoPolicy` during a drag & drop operation. Typical information shown in such an info object is the start and end time where the dragged object will be placed when the drop occures.
  Since:
    1.0
  Version:
    $Revision: 1.4 $
  Author:
    Dirk Lemmermann
  See Also:
    `DragLayer.setDragInfoVisible(boolean)`, `DragLayer.setDragInfoRenderer(Class, IDragInfoRenderer)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getDragInfoRendererComponent(DragLayer layer, TimelineObjectPath path, Object dragInfo, ITimeSpan span, int dndAction)` Returns a component that will be used to render the drag information.

- - ### Method Detail

    - #### getDragInfoRendererComponent

          Component getDragInfoRendererComponent(DragLayer layer,
                                                 TimelineObjectPath path,
                                                 Object dragInfo,
                                                 ITimeSpan span,
                                                 int dndAction)

      Returns a component that will be used to render the drag information.
      Parameters:
        `layer` - the drag layer where the rendering will take place
        `path` - the path to the dragged timeline object
        `dragInfo` - the drag information object
        `span` - the time span where the drop would take place if the d&d operation finished now
        `dndAction` - the type of drag and drop that is being performed (move, copy) (a value listed in `DnDConstants`)
      Returns:
        a renderer component for the drag information
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.